org.apache.lucene.queryParser.standard.config

## Interface AllowLeadingWildcardAttribute

- All Superinterfaces:
    Attribute
  All Known Implementing Classes:
    AllowLeadingWildcardAttributeImpl

      public interface AllowLeadingWildcardAttribute
      extends Attribute

  This attribute is used by `AllowLeadingWildcardProcessor` processor and must be defined in the `QueryConfigHandler`. It basically tells the processor if it should allow leading wildcard.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAllowLeadingWildcard()`
    `void` | `setAllowLeadingWildcard(boolean allowLeadingWildcard)`

- - ### Method Detail

    - #### setAllowLeadingWildcard

          void setAllowLeadingWildcard(boolean allowLeadingWildcard)

    - #### isAllowLeadingWildcard

          boolean isAllowLeadingWildcard()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.